Bug 1466338 - Datastores are missing a status indication
Datastores are missing a status indication
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.10.0
Assigned To: Martin Perina
Ilanit Stein
rhev, datastores
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 09:08 EDT by Ilanit Stein
Modified: 2018-05-04 15:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Description Ilanit Stein 2017-06-29 09:08:27 EDT
Description of problem:
Datastores status, that is displayed on RHV side, is missing in CFME UI.
It do not appear in the Quad datastore icon, nor in datastore details page. 

Version-Release number of selected component (if applicable):
CFME-5.8.1.0/RHV-4.1.3 (though this problem is not for specific RHV version)

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Shmuel Melamud 2017-09-12 09:56:04 EDT
Ilanit, in what place in the Quad icon you what the status to appear? Top left is the type and bottom right is the space usage.
Comment 3 Ilanit Stein 2017-09-12 13:28:35 EDT
On CFME Datastore status is not displayed at all. In any place.

Quad icon:
=========
According to CFME documentation,
Datastore Quad icon consists of:

- File system type
- Number of hosts
- Number of virtual machines
- Available space

Status of the Datastore is a very important indication.
Can having it reflected in one of those 4 Quad parts can be considered?

For VMs, for example, the quad icon include Power state.

Datastore Details page:
=======================
Essential to add here a field reporting the datastore status.
Comment 4 Shmuel Melamud 2017-09-24 16:03:25 EDT
Moran, what do you think? There are two difficulties in implementing this.

First, all parts of the Datastore Quad icon are used. If we want to show the status in the Quad, we need to decide where to put it. Is it possible, for example, to create two flavours of 'File system type' icons - one for an active datastore and one for an inactive one?

Second, status of a datastore may depend of the data center it is attached to. Usual datastores may be attached only to one data center. But ISO datastores may be attached to several data centers and may have a different status in each data center. How will we represent these different statuses in the UI?
Comment 5 Moran Goldboim 2017-10-29 09:19:45 EDT
(In reply to Shmuel Melamud from comment #4)
> Moran, what do you think? There are two difficulties in implementing this.
> 
> First, all parts of the Datastore Quad icon are used. If we want to show the
> status in the Quad, we need to decide where to put it. Is it possible, for
> example, to create two flavours of 'File system type' icons - one for an
> active datastore and one for an inactive one?
> 
> Second, status of a datastore may depend of the data center it is attached
> to. Usual datastores may be attached only to one data center. But ISO
> datastores may be attached to several data centers and may have a different
> status in each data center. How will we represent these different statuses
> in the UI?

we are trying to reexemine the future UI those days, I'm pushing this bug for the next version in which we'll hopefully have a overall design for this view.

Note You need to log in before you can comment on or make changes to this bug.